Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrDescendantNode

    java.lang.Object
      org.modeshape.graph.query.model.DescendantNode
          org.modeshape.jcr.query.qom.JcrDescendantNode

All Implemented Interfaces:
  Serializable, DescendantNode, Constraint, LanguageObject, Visitable, JcrConstraint

    public class JcrDescendantNode

extends DescendantNode
implements DescendantNode, JcrConstraint

Implementation of the descendant node constraint for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrDescendantNode(SelectorName selectorName, String ancestorPath)`

Method Summary
`String` | `getAncestorPath()`
`String` | `getSelectorName()`

Methods inherited from class org.modeshape.graph.query.model.DescendantNode
`accept, ancestorPath, equals, hashCode, selectorName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrDescendantNode

    public JcrDescendantNode(SelectorName selectorName,
                             String ancestorPath)

Parameters:
  `selectorName` -
  `ancestorPath` -

Method Detail

### getAncestorPath

    public String getAncestorPath()

  Specified by:
    `getAncestorPath` in interface `DescendantNode`
  See Also:
    `DescendantNode.getAncestorPath()`

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `DescendantNode`
  See Also:
    `PropertyValue.getSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.